Subject: Re: bug#34225: 27.0.50; Add passwd backups to etc-passwd-generic-mode

From: Juri Linkov <[email-masked]>
Date: Mon, 28 Jan 2019 22:19:39 +0200

>>> I don't know why backups /etc/passwd- use the suffix '-' instead of '~'
>>
>> It does?  I seem to be unable to reproduce this:
>>
>>   (make-backup-file-name "/etc/passwd")
>>     => "/etc/passwd~"
>>
>> What am I missing?
>
> These are non-Emacs backups. See eg "man 5 shadow".
>
>     /etc/shadow-
>     Backup file for /etc/shadow.
>
>     Note that this file is used by the tools of the shadow toolsuite,
>     but not by all user and password management tools.

Yes, and "man 5 passwd" shows the same:

       /etc/passwd-
           Backup file for /etc/passwd.

So I installed the patch to master.